Run care analytics report

Run a Care Analytics report

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Details

Runs a Care Analytics report where report_type is one of the following:

  • author (Raw Author Export)
  • combined (Raw Combined Export)
  • conversation (Raw Conversations)
  • conversation_actions (Conversation Actions Export) - Added July 2019
  • incoming_post (Raw Incoming Post Export)
  • raw_agent_states (Agent State Export) - Added December 2018
  • raw_expert_help (Raw Help Request Export) - Added March 2017
  • response (Raw Response Export)
  • response_approval (Raw Response Approval)
  • team_performance (Raw Team Performance)
  • team_performance_interval (Team Performance Interval)

🚧

Important

You may also generate a Conversation Actions Export report. See POST /reports/report/conversation_actions and GET /reports/report/conversation_actions.

All arguments are case-sensitive.

Note the workflowId and the runId in the response. These are unique IDs specific to this report job. You will use these IDs to check the status of a job and to download the report output.

See Using timezone with timezoneOffset when making a request with these parameters.

Path Params
string
required

Supported values:
author
combined
conversation
incoming_post
raw_expert_help
raw_agent_states
response_approval
team_performance
team_performance_interval

Query Params
string
required

The company key found in Account Admin > General Settings > Analytics API Settings.

string
Defaults to OPEN_AT_END

Used only for the Raw Conversation export. Pass one of the following to specify which conversations to include in the report. If not specified, defaults to OPEN_AT_END:

OPEN_AT_END - get all conversations that were Open at the end of the interval set by startTime and endTime
CLOSED - get all conversations that were Closed during the interval set by startTime and endTime
CREATED - get all conversations that were created during the interval set by startTime and endTime

string
required

The end time in epoch milliseconds. This value will not be adjusted.

string
Defaults to false

Used with Team Performance, Team Performance Interval, and Raw Response Approvals. Whether or not to include disabled agents in the report. Default is false.

string

The locale to use for the report. Supported values: en, es, fr, de, tr

string

Filters the reports to only data (posts or conversations) that match the specified priority.

Pass a comma-separated list with values 0 through 5. The list must be URL-encoded. For example: priorities=0%2C1%2C2%2C3%2C4%2C5

If not specified, all priorities are included.

string
Defaults to json

The format of the export. Possible values: json or csv. Default is json.

string

Added December 2018. Use reportMetrics to return specific metrics (columns) in the report. You can use this to return a subset of metrics and also to return metrics currently disabled for your company. Use a separate reportMetrics query parameter for each metric desired.

Example: reportMetrics=agent_name&reportMetrics=agent_email&reportMetrics=agent_id

string

Filters the reports to only data (posts or conversations) that match the specified smart view. You must use the ID of the smart view for this parameter. Use /api/v2/smartviews to find IDs for your existing smart view. Note: Only one smart view ID can be passed in as a parameter.

string
required

The start time in epoch milliseconds. This value will not be adjusted.

string

A time zone ID to specify in which time zone to format dates in the report export. Find supported time zone IDs using the /config/timezones endpoint.

string

Pass the timezone offset in milliseconds to calculate and format dates in the report to this offset.

If not provided, then times will be in UTC (Coordinated Universal Time).

This is only used to format dates, and is not aware of changes to/from Daylight Saving Time.

Use Positive values for timezones ahead of UTC and negative values for timezones behind UTC.

Examples:
A timezone that is UTC +01:00 should send in a timezoneOffset of 3600000.
A timezone that is UTC -01:00 should send in a timezoneOffset of -3600000.

string

Used only with Raw Team Performance, Team Performance Interval, and Raw Response Approval The ID of the team used to filter the report. Find the team ID with the /teams endpoint.

string

Used only with Team Performance Interval. The interval period for the team performance report. Supported values are:

300000 => 5 minute
600000 => 10 minutes
900000 => 15 minutes
1800000 => 30 minutes
3600000 => 1 hour
7200000 => 2 hours
14400000 => 4 hours
28800000 => 8 hours
43200000 => 12 hours
86400000 => 1 day
604800000 => 1 week

Anything greater than 1 week is interpreted as monthly intervals. Anything less than 1 week, and not one of the supported values listed above, will result in an error.

string

Filters the reports to only data (posts or conversations) that match the specified work queue.

You must use the ID of the work queue for this parameter. Use /api/v2/workqueues/active to find IDs for your existing work queues.

Pass a comma-separated list of the IDs. The list must be URL-encoded. For example: workqueueIds=15%2C21%2C2%2C23%2C52%2C13

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Choose an example:
text/plain
application/json